CachedConstructor (Groovy 5.1.0)

Package: org.codehaus.groovy.reflection

## [Java] Class CachedConstructor

- org.codehaus.groovy.reflection.CachedConstructor

- All Implemented Interfaces and Traits:
    MetaMember

      public class CachedConstructor
      extends ParameterTypes
      implements MetaMember

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedConstructor(CachedClass clazz, Constructor c)`
    `CachedConstructor(Constructor c)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `doConstructorInvoke(Object[] argumentArray)`
    `` | `public static CachedConstructor` | `find(Constructor constructor)`
    `` | `public CachedClass` | `getCachedClass()`
    `` | `public Constructor` | `getCachedConstructor()`
    `` | `public Class` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `protected Class[]` | `getPT()`
    `` | `public Object` | `invoke(Object[] argumentArray)`
    `` | `public boolean` | `isSynthetic()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public CachedConstructor(CachedClass clazz, Constructor c)

    - #### public CachedConstructor(Constructor c)

  - ### Method Detail

    - #### public Object doConstructorInvoke(Object[] argumentArray)

    - #### public static CachedConstructor find(Constructor constructor)

    - #### public CachedClass getCachedClass()

    - #### public Constructor getCachedConstructor()

    - #### public Class getDeclaringClass()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      protected Class[] getPT()

    - #### public Object invoke(Object[] argumentArray)

    - #### @Override
      public boolean isSynthetic()

    - #### @Override
      public String toString()